#!/bin/sh
#if [[ $# != '0' ]]
#then
#        echo "usage: $0"
#        exit 1
#fi

GRAPHNAME=`basename $0 .sh`
EXPNAME="${GRAPHNAME%.*}"
EPS=graphs/$GRAPHNAME.eps
touch plot.plt

echo "
set terminal postscript eps 'Times-Roman,30' color 
set terminal postscript eps 'Times-Roman,30' color size 6.3,4
set output 'graphs/$GRAPHNAME.eps'
set xtics nomirror font 'Times-Roman, 45' offset 0,-0.1
set nomxtics
set xrange [0: 510]
set yrange [0: 100]
set format y '{%.0f%%}'
set xlabel \"Rounds\" font 'Times-Roman,45'
set ylabel \"Test Accuracy\\\n \" font 'Times-Roman,45' offset -0.0,0.0
set ytics nomirror font 'Times-Roman, 45'
set nomytics
set grid noxtics noytics
set border 3 lw 4
set grid noxtics noytics
set grid ytics lw -1
set key at 500,40
set bmargin 3.2
set pointsize 2.0
set style function linespoints
#set style line 1 lw 4 lc rgb '#888888' ps 2 pt 7 pi 4
#set style line 2 lt 7 pt 14 lc rgb '#000000'
set style line 1 lc rgb 'dark-grey' dt 1 lt 1 lw 9 pt 12 pi -1 ps 6
set style line 2 lc rgb 'dark-green' dt 1 lt 1 lw 7 pt 9 pi -1 ps 6
set style line 3 lc rgb 'black' dt 1 lt 1 lw 7 pt 4 pi -1 ps 6
set style line 4 lc rgb 'orange' dt 1 lt 1 lw 9 pt 7 pi -1 ps 6
plot \
'dat/${EXPNAME}.dat' using 1:(\$2) with linespoint ls 1 title 'FedScale (No DP) ',\
'dat/${EXPNAME}.dat' using 1:(\$3) with linespoint ls 2 title 'Aero, epsilon=1.04',\
'dat/${EXPNAME}.dat' using 1:(\$4) with linespoint ls 3 title 'Aero, epsilon=1.34',\
" > plot.plt
gnuplot plot.plt
epspdf $EPS
rm $EPS
