#!/bin/sh
#if [[ $# != '0' ]]
#then
#        echo "usage: $0"
#        exit 1
#fi

GRAPHNAME=`basename $0 .sh`
EXPNAME="${GRAPHNAME%.*}"
EPS=graphs/$GRAPHNAME.eps
touch plot.plt

echo "
set terminal postscript eps 'Times-Roman,30' color 
set terminal postscript eps 'Times-Roman,30' color size 6.3,4
set output 'graphs/$GRAPHNAME.eps'
set xrange [ 1: 10000]
set xtics nomirror font 'Times-Roman, 45' offset 0,-0.1
set nomxtics
set logscale x 10
set xlabel \"\# of params (K)\" font 'Times-Roman,45'
set yrange [ 0 : 256]
set ylabel \"CPU time (min.)\\\n \" font 'Times-Roman,45' offset -0.0,0.0
set ytics nomirror font 'Times-Roman, 45'
set nomytics
set format x '10^{%T}'
#set ytics 40
#set format y '2^{%T}'
#set format y '%E'
set logscale y 2
set grid noxtics noytics
set grid ytics lw -1
set border 3 lw 4
set key top left font 'Times-Roman, 45'
set bmargin 3.5
set pointsize 2.0
set style function linespoints
set style line 1 lw 4 lc rgb 'blue' ps 4 pt 7 pi 4
set style line 2 lt 7 pt 14 lc rgb 'red'
set style line 1 lc rgb 'dark-green' dt 1 lt 1 lw 9 pt 7 ps 6
set style line 2 lc rgb 'dark-grey' dt 2 lt 2 lw 7 pt 9 ps 6
plot \
'dat/${EXPNAME}.dat' using (\$1*4096/1000):(\$2/60) with linespoints ls 1 title 'Aero',\
'dat/${EXPNAME}.dat' using (\$1*4096/1000):(\$3/60) with linespoints ls 2 title 'Orchard',\
" > plot.plt
gnuplot plot.plt
epspdf $EPS
rm $EPS
